Loading...
Searching...
No Matches
Opm::EnsureFinalized Class Reference

Default implementation for asserting finalization of parameter objects. More...

`#include <EnsureFinalized.hpp>`

Inheritance diagram for Opm::EnsureFinalized:

## Public Member Functions

OPM_HOST_DEVICE void | finalize ()
| Mark the object as finalized.

## Protected Member Functions

OPM_HOST_DEVICE | EnsureFinalized ()
| The default constructor.
OPM_HOST_DEVICE void | check () const

## Detailed Description

Default implementation for asserting finalization of parameter objects.

The documentation for this class was generated from the following file:

- opm/material/common/EnsureFinalized.hpp